/*
    Class code Set 04
    Mouse and Key Input
    author: Jim Roberts  
               copyright © Jim Roberts
               1.24.13
               Pittsburgh 15221 
               All Rights Reserved
               
     [space bar] erases everything
     key [c] changes size of rectangle
     [press mouse button] changes rectangle fill
   
*/
float wd, ht, x, xIncrement;

void setup()
{
    size( 400, 400 );  // window size
    smooth( );
    background( 0, 0, 255 );
    fill( 0, 223, 124 );
    wd = random( 10, 100 );
    ht = random( 10, 100 );
    x = 0;
    xIncrement = random( 1, 5);

}

void draw( )
{
   rect( mouseX, mouseY, wd, ht);
   line( mouseX, mouseY, x, 0);
   line( mouseX, mouseY, x, height );
   line( mouseX, mouseY, x, 0 );
   line( mouseX, mouseY, x, height );
   x = x + xIncrement;
  
}

void keyPressed( )
{
    background( random( 255 ), random(255), random(255) );
    wd = random( 10, 100 );
    ht = random( 10, 100 );
    x = 0;
}

void mousePressed( )
{
     fill( random(255), random(255), random(255) );
     xIncrement = random( 1, 5);
}

